# deriveKeypair | xrpl
Documentation for xrpl

# Function deriveKeypair

- deriveKeypair(seed, options?): {
  privateKey: string;
  publicKey: string;
  }

- #### Parameters

  - ##### seed: string

  - ##### `Optional` options: object

    `Optional`

  #### Returns {
  privateKey: string;
  publicKey: string;
  }

  - ##### privateKey: string

  - ##### publicKey: string

  - Defined in node_modules/ripple-keypairs/dist/index.d.ts:6

Generated using TypeDoc